=== debian/control ===
Source: pajladaserialize
Section: libs
Priority: optional
Maintainer: Chow Yoong Jin <solomoncyj@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 rapidjson-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/pajlada/serialize
Rules-Requires-Root: no
#Vcs-Git: https://salsa.debian.org/debian/pajladaserialize.git
#Vcs-Browser: https://salsa.debian.org/debian/pajladaserialize

Package: pajladaserialize-dev
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ serialize/deserialize helper functions based on rapidjson
 This library provides a serialize & deserialize interface based on the
 RapidJSON library, allowing for serializing & deserializing of custom types.
